Index: /LMDZ4/trunk/libf/phylmd/mod_phys_lmdz_omp_transfert.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/mod_phys_lmdz_omp_transfert.F90	(revision 1000)
+++ /LMDZ4/trunk/libf/phylmd/mod_phys_lmdz_omp_transfert.F90	(revision 1001)
@@ -742,364 +697,360 @@
     REAL,INTENT(OUT),DIMENSION(:,:,:,:) :: VarOut
   
-    CALL reduce_sum_omp_rgen(VarIn,Varout,Size(VarIn),omp_buffer)
+    CALL Check_buffer_r(size(VarIn))   
+    CALL reduce_sum_omp_rgen(VarIn,Varout,Size(VarIn),buffer_r)
   
   END SUBROUTINE reduce_sum_omp_r4
 
-
-
-END MODULE mod_phys_lmdz_omp_transfert
-
-
-
-
-
-SUBROUTINE bcast_omp_cgen(Var,Nb,Buff)
-  IMPLICIT NONE
-    
-  CHARACTER(LEN=*),INTENT(INOUT) :: Var
-  CHARACTER(LEN=*),INTENT(INOUT) :: Buff
-  INTEGER,INTENT(IN) :: Nb
-    
-  INTEGER :: i
-  
-!$OMP MASTER
-    Buff=Var
-!$OMP END MASTER
-!$OMP BARRIER
-
-  DO i=1,Nb
-    Var=Buff
-  ENDDO
-!$OMP BARRIER      
-  
-END SUBROUTINE bcast_omp_cgen
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!    LES ROUTINES GENERIQUES    !
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+  SUBROUTINE bcast_omp_cgen(Var,Nb,Buff)
+  IMPLICIT NONE
+    
+    CHARACTER(LEN=*),INTENT(INOUT) :: Var
+    CHARACTER(LEN=*),INTENT(INOUT) :: Buff
+    INTEGER,INTENT(IN) :: Nb
+    
+    INTEGER :: i
+  
+  !$OMP MASTER
+      Buff=Var
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+    DO i=1,Nb
+      Var=Buff
+    ENDDO
+  !$OMP BARRIER      
+  
+  END SUBROUTINE bcast_omp_cgen
 
 
       
-SUBROUTINE bcast_omp_igen(Var,Nb,Buff)
-  IMPLICIT NONE
-    
-  INTEGER,DIMENSION(Nb),INTENT(INOUT) :: Var
-  INTEGER,DIMENSION(Nb),INTENT(INOUT) :: Buff
-  INTEGER,INTENT(IN) :: Nb
-
-  INTEGER :: i
-    
-!$OMP MASTER
-  DO i=1,Nb
-    Buff(i)=Var(i)
-  ENDDO
-!$OMP END MASTER
-!$OMP BARRIER
-
-  DO i=1,Nb
-    Var(i)=Buff(i)
-  ENDDO
-!$OMP BARRIER        
-
-END SUBROUTINE bcast_omp_igen
-
-
-SUBROUTINE bcast_omp_rgen(Var,Nb,Buff)
-  IMPLICIT NONE
-    
-  REAL,DIMENSION(Nb),INTENT(INOUT) :: Var
-  REAL,DIMENSION(Nb),INTENT(INOUT) :: Buff
-  INTEGER,INTENT(IN) :: Nb
-
-  INTEGER :: i
-    
-!$OMP MASTER
-  DO i=1,Nb
-    Buff(i)=Var(i)
-  ENDDO
-!$OMP END MASTER
-!$OMP BARRIER
-
-  DO i=1,Nb
-    Var(i)=Buff(i)
-  ENDDO
-!$OMP BARRIER        
-
-END SUBROUTINE bcast_omp_rgen
-
-SUBROUTINE bcast_omp_lgen(Var,Nb,Buff)
-  IMPLICIT NONE
-    
-  LOGICAL,DIMENSION(Nb),INTENT(INOUT) :: Var
-  LOGICAL,DIMENSION(Nb),INTENT(INOUT) :: Buff
-  INTEGER,INTENT(IN) :: Nb
-
-  INTEGER :: i
-    
-!$OMP MASTER
-  DO i=1,Nb
-    Buff(i)=Var(i)
-  ENDDO
-!$OMP END MASTER
-!$OMP BARRIER
-
-  DO i=1,Nb
-    Var(i)=Buff(i)
-  ENDDO
-!$OMP BARRIER        
-
-END SUBROUTINE bcast_omp_lgen
-
-
-
-
-
-SUBROUTINE scatter_omp_igen(VarIn,VarOut,dimsize,Buff)
+  SUBROUTINE bcast_omp_igen(Var,Nb,Buff)
+  IMPLICIT NONE
+    
+    INTEGER,DIMENSION(Nb),INTENT(INOUT) :: Var
+    INTEGER,DIMENSION(Nb),INTENT(INOUT) :: Buff
+    INTEGER,INTENT(IN) :: Nb
+
+    INTEGER :: i
+    
+  !$OMP MASTER
+    DO i=1,Nb
+      Buff(i)=Var(i)
+    ENDDO
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+    DO i=1,Nb
+      Var(i)=Buff(i)
+    ENDDO
+  !$OMP BARRIER        
+
+  END SUBROUTINE bcast_omp_igen
+
+
+  SUBROUTINE bcast_omp_rgen(Var,Nb,Buff)
+  IMPLICIT NONE
+    
+    REAL,DIMENSION(Nb),INTENT(INOUT) :: Var
+    REAL,DIMENSION(Nb),INTENT(INOUT) :: Buff
+    INTEGER,INTENT(IN) :: Nb
+
+    INTEGER :: i
+    
+  !$OMP MASTER
+    DO i=1,Nb
+      Buff(i)=Var(i)
+    ENDDO
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+    DO i=1,Nb
+      Var(i)=Buff(i)
+    ENDDO
+  !$OMP BARRIER        
+
+  END SUBROUTINE bcast_omp_rgen
+
+  SUBROUTINE bcast_omp_lgen(Var,Nb,Buff)
+  IMPLICIT NONE
+    
+    LOGICAL,DIMENSION(Nb),INTENT(INOUT) :: Var
+    LOGICAL,DIMENSION(Nb),INTENT(INOUT) :: Buff
+    INTEGER,INTENT(IN) :: Nb
+  
+    INTEGER :: i
+    
+  !$OMP MASTER
+    DO i=1,Nb
+      Buff(i)=Var(i)
+    ENDDO
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+    DO i=1,Nb
+      Var(i)=Buff(i)
+    ENDDO
+  !$OMP BARRIER        
+
+  END SUBROUTINE bcast_omp_lgen
+
+
+  SUBROUTINE scatter_omp_igen(VarIn,VarOut,dimsize,Buff)
+    USE mod_phys_lmdz_omp_data
+    USE mod_phys_lmdz_mpi_data, ONLY : klon_mpi 
+    IMPLICIT NONE
+
+    INTEGER,INTENT(IN) :: dimsize
+    INTEGER,INTENT(IN),DIMENSION(klon_mpi,dimsize) :: VarIn
+    INTEGER,INTENT(OUT),DIMENSION(klon_omp,dimsize) :: VarOut
+    INTEGER,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
+
+    INTEGER :: i,ij
+    
+  !$OMP MASTER
+    DO i=1,dimsize
+      DO ij=1,klon_mpi
+        Buff(ij,i)=VarIn(ij,i)
+      ENDDO
+    ENDDO  
+  !$OMP END MASTER
+  !$OMP BARRIER
+ 
+    DO i=1,dimsize
+      DO ij=1,klon_omp
+        VarOut(ij,i)=Buff(klon_omp_begin-1+ij,i)
+      ENDDO
+    ENDDO
+  !$OMP BARRIER  
+ 
+  END SUBROUTINE scatter_omp_igen
+
+
+  SUBROUTINE scatter_omp_rgen(VarIn,VarOut,dimsize,Buff)
   USE mod_phys_lmdz_omp_data
   USE mod_phys_lmdz_mpi_data, ONLY : klon_mpi 
   IMPLICIT NONE
 
-  INTEGER,INTENT(IN) :: dimsize
-  INTEGER,INTENT(IN),DIMENSION(klon_mpi,dimsize) :: VarIn
-  INTEGER,INTENT(OUT),DIMENSION(klon_omp,dimsize) :: VarOut
-  INTEGER,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
-
-  INTEGER :: i,ij
-    
-!$OMP MASTER
-  DO i=1,dimsize
-    DO ij=1,klon_mpi
-      Buff(ij,i)=VarIn(ij,i)
-    ENDDO
-  ENDDO  
-!$OMP END MASTER
-!$OMP BARRIER
-
-  DO i=1,dimsize
-    DO ij=1,klon_omp
-      VarOut(ij,i)=Buff(klon_omp_begin-1+ij,i)
-    ENDDO
-  ENDDO
-!$OMP BARRIER  
-
-END SUBROUTINE scatter_omp_igen
-
-
-SUBROUTINE scatter_omp_rgen(VarIn,VarOut,dimsize,Buff)
+    INTEGER,INTENT(IN) :: dimsize
+    REAL,INTENT(IN),DIMENSION(klon_mpi,dimsize) :: VarIn
+    REAL,INTENT(OUT),DIMENSION(klon_omp,dimsize) :: VarOut
+    REAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
+
+    INTEGER :: i,ij
+    
+  !$OMP MASTER
+    DO i=1,dimsize
+      DO ij=1,klon_mpi
+        Buff(ij,i)=VarIn(ij,i)
+      ENDDO
+    ENDDO  
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+    DO i=1,dimsize
+      DO ij=1,klon_omp
+        VarOut(ij,i)=Buff(klon_omp_begin-1+ij,i)
+      ENDDO
+    ENDDO
+  !$OMP BARRIER  
+
+  END SUBROUTINE scatter_omp_rgen
+
+
+  SUBROUTINE scatter_omp_lgen(VarIn,VarOut,dimsize,Buff)
   USE mod_phys_lmdz_omp_data
   USE mod_phys_lmdz_mpi_data, ONLY : klon_mpi 
   IMPLICIT NONE
 
-  INTEGER,INTENT(IN) :: dimsize
-  REAL,INTENT(IN),DIMENSION(klon_mpi,dimsize) :: VarIn
-  REAL,INTENT(OUT),DIMENSION(klon_omp,dimsize) :: VarOut
-  REAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
-
-  INTEGER :: i,ij
-    
-!$OMP MASTER
-  DO i=1,dimsize
-    DO ij=1,klon_mpi
-      Buff(ij,i)=VarIn(ij,i)
-    ENDDO
-  ENDDO  
-!$OMP END MASTER
-!$OMP BARRIER
-
-  DO i=1,dimsize
-    DO ij=1,klon_omp
-      VarOut(ij,i)=Buff(klon_omp_begin-1+ij,i)
-    ENDDO
-  ENDDO
-!$OMP BARRIER  
-
-END SUBROUTINE scatter_omp_rgen
-
-
-SUBROUTINE scatter_omp_lgen(VarIn,VarOut,dimsize,Buff)
+    INTEGER,INTENT(IN) :: dimsize
+    LOGICAL,INTENT(IN),DIMENSION(klon_mpi,dimsize) :: VarIn
+    LOGICAL,INTENT(OUT),DIMENSION(klon_omp,dimsize) :: VarOut
+    LOGICAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
+
+    INTEGER :: i,ij
+    
+ !$OMP MASTER 
+    DO i=1,dimsize
+      DO ij=1,klon_mpi
+        Buff(ij,i)=VarIn(ij,i)
+      ENDDO
+    ENDDO  
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+    DO i=1,dimsize
+      DO ij=1,klon_omp
+        VarOut(ij,i)=Buff(klon_omp_begin-1+ij,i)
+      ENDDO
+    ENDDO
+  !$OMP BARRIER  
+
+  END SUBROUTINE scatter_omp_lgen
+
+
+
+
+
+  SUBROUTINE gather_omp_igen(VarIn,VarOut,dimsize,Buff)
   USE mod_phys_lmdz_omp_data
   USE mod_phys_lmdz_mpi_data, ONLY : klon_mpi 
   IMPLICIT NONE
 
-  INTEGER,INTENT(IN) :: dimsize
-  LOGICAL,INTENT(IN),DIMENSION(klon_mpi,dimsize) :: VarIn
-  LOGICAL,INTENT(OUT),DIMENSION(klon_omp,dimsize) :: VarOut
-  LOGICAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
-
-  INTEGER :: i,ij
-    
-!$OMP MASTER
-  DO i=1,dimsize
-    DO ij=1,klon_mpi
-      Buff(ij,i)=VarIn(ij,i)
-    ENDDO
-  ENDDO  
-!$OMP END MASTER
-!$OMP BARRIER
-
-  DO i=1,dimsize
-    DO ij=1,klon_omp
-      VarOut(ij,i)=Buff(klon_omp_begin-1+ij,i)
-    ENDDO
-  ENDDO
-!$OMP BARRIER  
-
-END SUBROUTINE scatter_omp_lgen
-
-
-
-
-
-SUBROUTINE gather_omp_igen(VarIn,VarOut,dimsize,Buff)
+    INTEGER,INTENT(IN) :: dimsize
+    INTEGER,INTENT(IN),DIMENSION(klon_omp,dimsize) :: VarIn
+    INTEGER,INTENT(OUT),DIMENSION(klon_mpi,dimsize) :: VarOut
+    INTEGER,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
+
+    INTEGER :: i,ij
+    
+    DO i=1,dimsize
+      DO ij=1,klon_omp
+        Buff(klon_omp_begin-1+ij,i)=VarIn(ij,i)
+      ENDDO
+    ENDDO
+  !$OMP BARRIER  
+  
+  
+  !$OMP MASTER
+    DO i=1,dimsize
+      DO ij=1,klon_mpi
+        VarOut(ij,i)=Buff(ij,i)
+      ENDDO
+    ENDDO  
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+  END SUBROUTINE gather_omp_igen
+
+
+  SUBROUTINE gather_omp_rgen(VarIn,VarOut,dimsize,Buff)
   USE mod_phys_lmdz_omp_data
   USE mod_phys_lmdz_mpi_data, ONLY : klon_mpi 
   IMPLICIT NONE
 
-  INTEGER,INTENT(IN) :: dimsize
-  INTEGER,INTENT(IN),DIMENSION(klon_omp,dimsize) :: VarIn
-  INTEGER,INTENT(OUT),DIMENSION(klon_mpi,dimsize) :: VarOut
-  INTEGER,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
-
-  INTEGER :: i,ij
-    
-  DO i=1,dimsize
-    DO ij=1,klon_omp
-      Buff(klon_omp_begin-1+ij,i)=VarIn(ij,i)
-    ENDDO
-  ENDDO
-!$OMP BARRIER  
-
-
-!$OMP MASTER
-  DO i=1,dimsize
-    DO ij=1,klon_mpi
-      VarOut(ij,i)=Buff(ij,i)
-    ENDDO
-  ENDDO  
-!$OMP END MASTER
-!$OMP BARRIER
-
-END SUBROUTINE gather_omp_igen
-
-
-SUBROUTINE gather_omp_rgen(VarIn,VarOut,dimsize,Buff)
+    INTEGER,INTENT(IN) :: dimsize
+    REAL,INTENT(IN),DIMENSION(klon_omp,dimsize) :: VarIn
+    REAL,INTENT(OUT),DIMENSION(klon_mpi,dimsize) :: VarOut
+    REAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
+
+    INTEGER :: i,ij
+    
+    DO i=1,dimsize
+      DO ij=1,klon_omp
+        Buff(klon_omp_begin-1+ij,i)=VarIn(ij,i)
+      ENDDO
+    ENDDO
+  !$OMP BARRIER  
+
+
+  !$OMP MASTER
+    DO i=1,dimsize
+      DO ij=1,klon_mpi
+        VarOut(ij,i)=Buff(ij,i)
+      ENDDO
+    ENDDO  
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+  END SUBROUTINE gather_omp_rgen
+
+
+  SUBROUTINE gather_omp_lgen(VarIn,VarOut,dimsize,Buff)
   USE mod_phys_lmdz_omp_data
   USE mod_phys_lmdz_mpi_data, ONLY : klon_mpi 
   IMPLICIT NONE
 
-  INTEGER,INTENT(IN) :: dimsize
-  REAL,INTENT(IN),DIMENSION(klon_omp,dimsize) :: VarIn
-  REAL,INTENT(OUT),DIMENSION(klon_mpi,dimsize) :: VarOut
-  REAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
-
-  INTEGER :: i,ij
-    
-  DO i=1,dimsize
-    DO ij=1,klon_omp
-      Buff(klon_omp_begin-1+ij,i)=VarIn(ij,i)
-    ENDDO
-  ENDDO
-!$OMP BARRIER  
-
-
-!$OMP MASTER
-  DO i=1,dimsize
-    DO ij=1,klon_mpi
-      VarOut(ij,i)=Buff(ij,i)
-    ENDDO
-  ENDDO  
-!$OMP END MASTER
-!$OMP BARRIER
-
-END SUBROUTINE gather_omp_rgen
-
-
-SUBROUTINE gather_omp_lgen(VarIn,VarOut,dimsize,Buff)
-  USE mod_phys_lmdz_omp_data
-  USE mod_phys_lmdz_mpi_data, ONLY : klon_mpi 
-  IMPLICIT NONE
-
-  INTEGER,INTENT(IN) :: dimsize
-  LOGICAL,INTENT(IN),DIMENSION(klon_omp,dimsize) :: VarIn
-  LOGICAL,INTENT(OUT),DIMENSION(klon_mpi,dimsize) :: VarOut
-  LOGICAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
-
-  INTEGER :: i,ij
-    
-  DO i=1,dimsize
-    DO ij=1,klon_omp
-      Buff(klon_omp_begin-1+ij,i)=VarIn(ij,i)
-    ENDDO
-  ENDDO
-!$OMP BARRIER  
-
-
-!$OMP MASTER
-  DO i=1,dimsize
-    DO ij=1,klon_mpi
-      VarOut(ij,i)=Buff(ij,i)
-    ENDDO
-  ENDDO  
-!$OMP END MASTER
-!$OMP BARRIER
-
-END SUBROUTINE gather_omp_lgen
-
-
-SUBROUTINE reduce_sum_omp_igen(VarIn,VarOut,dimsize,Buff)
-  IMPLICIT NONE
-
-  INTEGER,INTENT(IN) :: dimsize
-  INTEGER,INTENT(IN),DIMENSION(dimsize) :: VarIn
-  INTEGER,INTENT(OUT),DIMENSION(dimsize) :: VarOut
-  INTEGER,INTENT(INOUT),DIMENSION(dimsize) :: Buff
-
-  INTEGER :: i
-
-!$OMP MASTER
-  Buff(:)=0
-!$OMP END MASTER
-!$OMP BARRIER
-
-!$OMP CRITICAL     
-  DO i=1,dimsize
-    Buff(i)=Buff(i)+VarIn(i)
-  ENDDO
-!$OMP END CRITICAL
-!$OMP BARRIER  
-
-!$OMP MASTER
-  DO i=1,dimsize
-    VarOut(i)=Buff(i)
-  ENDDO
-!$OMP END MASTER
-!$OMP BARRIER
-
-END SUBROUTINE reduce_sum_omp_igen
-
-SUBROUTINE reduce_sum_omp_rgen(VarIn,VarOut,dimsize,Buff)
-  IMPLICIT NONE
-
-  INTEGER,INTENT(IN) :: dimsize
-  REAL,INTENT(IN),DIMENSION(dimsize) :: VarIn
-  REAL,INTENT(OUT),DIMENSION(dimsize) :: VarOut
-  REAL,INTENT(INOUT),DIMENSION(dimsize) :: Buff
-
-  INTEGER :: i
-
-!$OMP MASTER
-  Buff(:)=0
-!$OMP END MASTER
-!$OMP BARRIER
-
-!$OMP CRITICAL     
-  DO i=1,dimsize
-    Buff(i)=Buff(i)+VarIn(i)
-  ENDDO
-!$OMP END CRITICAL
-!$OMP BARRIER  
-
-!$OMP MASTER
-  DO i=1,dimsize
-    VarOut(i)=Buff(i)
-  ENDDO
-!$OMP END MASTER
-!$OMP BARRIER
-
-END SUBROUTINE reduce_sum_omp_rgen
+    INTEGER,INTENT(IN) :: dimsize
+    LOGICAL,INTENT(IN),DIMENSION(klon_omp,dimsize) :: VarIn
+    LOGICAL,INTENT(OUT),DIMENSION(klon_mpi,dimsize) :: VarOut
+    LOGICAL,INTENT(INOUT),DIMENSION(klon_mpi,dimsize) :: Buff
+
+    INTEGER :: i,ij
+    
+    DO i=1,dimsize
+      DO ij=1,klon_omp
+        Buff(klon_omp_begin-1+ij,i)=VarIn(ij,i)
+      ENDDO
+    ENDDO
+  !$OMP BARRIER  
+
+
+  !$OMP MASTER
+    DO i=1,dimsize
+      DO ij=1,klon_mpi
+        VarOut(ij,i)=Buff(ij,i)
+      ENDDO
+    ENDDO  
+  !$OMP END MASTER
+  !$OMP BARRIER
+
+  END SUBROUTINE gather_omp_lgen
+
+
+  SUBROUTINE reduce_sum_omp_igen(VarIn,VarOut,dimsize,Buff)
+  IMPLICIT NONE
+
+    INTEGER,INTENT(IN) :: dimsize
+    INTEGER,INTENT(IN),DIMENSION(dimsize) :: VarIn
+    INTEGER,INTENT(OUT),DIMENSION(dimsize) :: VarOut
+    INTEGER,INTENT(INOUT),DIMENSION(dimsize) :: Buff
+
+    INTEGER :: i
+
+  !$OMP MASTER
+    Buff(:)=0
+  !$OMP END MASTER
+  !$OMP BARRIER
+  
+  !$OMP CRITICAL     
+    DO i=1,dimsize
+      Buff(i)=Buff(i)+VarIn(i)
+    ENDDO
+  !$OMP END CRITICAL
+  !$OMP BARRIER  
+  
+  !$OMP MASTER
+    DO i=1,dimsize
+      VarOut(i)=Buff(i)
+    ENDDO
+  !$OMP END MASTER
+  !$OMP BARRIER
+  
+  END SUBROUTINE reduce_sum_omp_igen
+
+  SUBROUTINE reduce_sum_omp_rgen(VarIn,VarOut,dimsize,Buff)
+  IMPLICIT NONE
+
+    INTEGER,INTENT(IN) :: dimsize
+    REAL,INTENT(IN),DIMENSION(dimsize) :: VarIn
+    REAL,INTENT(OUT),DIMENSION(dimsize) :: VarOut
+    REAL,INTENT(INOUT),DIMENSION(dimsize) :: Buff
+
+    INTEGER :: i
+
+  !$OMP MASTER
+    Buff(:)=0
+  !$OMP END MASTER
+  !$OMP BARRIER
+  
+  !$OMP CRITICAL     
+    DO i=1,dimsize
+      Buff(i)=Buff(i)+VarIn(i)
+    ENDDO
+  !$OMP END CRITICAL
+  !$OMP BARRIER  
+  
+  !$OMP MASTER
+    DO i=1,dimsize
+      VarOut(i)=Buff(i)
+    ENDDO
+  !$OMP END MASTER
+  !$OMP BARRIER
+  
+  END SUBROUTINE reduce_sum_omp_rgen
+
+END MODULE mod_phys_lmdz_omp_transfert
Index: /LMDZ4/trunk/libf/phylmd/mod_phys_lmdz_para.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/mod_phys_lmdz_para.F90	(revision 1000)
+++ /LMDZ4/trunk/libf/phylmd/mod_phys_lmdz_para.F90	(revision 1001)
@@ -28,5 +28,5 @@
     CALL Test_transfert
 !$OMP END PARALLEL    
-     IF (is_ok_mpi .OR. is_ok_omp) THEN
+     IF (is_using_mpi .OR. is_using_omp) THEN
        is_sequential=.FALSE.
        is_parallel=.TRUE.
Index: /LMDZ4/trunk/libf/phylmd/oasis.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/oasis.F90	(revision 1000)
+++ /LMDZ4/trunk/libf/phylmd/oasis.F90	(revision 1001)
@@ -44,4 +44,5 @@
   !$OMP THREADPRIVATE(out_var_id)
 
+  CHARACTER(LEN=*),PARAMETER :: OPA_version='OPA9'
 
 #ifdef CPP_COUPLE
